# class KBookmarkDomBuilder

###

Module | kio
Namespace |
Class | KBookmarkDomBuilder
Inherits | QObject

### methods

- KBookmarkDomBuilder (group, a0)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  group | KBookmarkGroup |
  a0 | KBookmarkManager |

- connectImporter (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | QObject |

- endFolder ( )

  returns Nothing

- newBookmark (text, url, additionalInfo)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  url | QString |
  additionalInfo | QString |

- newFolder (text, open, additionalInfo)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  text | QString |
  open | bool |
  additionalInfo | QString |

- newSeparator ( )

  returns Nothing